'use client'

import React, { useState, useEffect, useRef } from 'react';
import { motion } from 'framer-motion';


const HeroBanner = () => {

  const [scrollY, setScrollY] = useState(0);

  useEffect(() => {
    const handleScroll = () => setScrollY(window.scrollY)
    window.addEventListener('scroll', handleScroll)
    return () => window.removeEventListener('scroll', handleScroll)
  }, [])

  return (
    <section id="home" className="lp-hero min-h-screen flex items-center justify-center relative overflow-hidden bg-gray-900">
        <div className="container mx-auto px-4 text-center z-10 relative">
          <h2 className="lp-hero-title text-6xl md:text-7xl lg:text-8xl font-extrabold mb-6 text-white uppercase text-left leading-none">
            Welcome to the <span className="fancy">Future</span> of <span className="fancy">Innovation</span>
          </h2>
          <motion.p 
            className="lp-hero-subtitle text-xl md:text-2xl mb-8 text-gray-300"
            initial={{ opacity: 0, y: 20 }}
            animate={{ opacity: 1, y: 0 }}
            transition={{ duration: 0.8, delay: 0.2 }}
          >
            Experience innovation like never before
          </motion.p>
          <motion.button 
            className="lp-cta-button bg-blue-600 text-white px-8 py-3 rounded-full text-lg font-semibold hover:bg-blue-700 transition-colors"
            initial={{ opacity: 0, y: 20 }}
            animate={{ opacity: 1, y: 0 }}
            transition={{ duration: 0.8, delay: 0.4 }}
          >
            Get Started
          </motion.button>
        </div>
        <div className="lp-hero-bg absolute inset-0 z-0">
          <div className="lp-animated-bg w-full h-full bg-gradient-to-r from-blue-900 to-purple-900 opacity-50"></div>
          <div className="lp-texture absolute inset-0 opacity-30"></div>
        </div>
      </section>
  )
}

export default HeroBanner